> ## Documentation Index
> Fetch the complete documentation index at: https://developer.woox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Market trades history

> Get historical market trades data. In the response, a source of 1 means these are internal trades on WOO X and a source of 0 means they are external trades from aggregated sources.

**Limit: 10 requests per 1 second per IP address**


## OpenAPI

````yaml GET /v3/public/marketTradesHistory
openapi: 3.0.2
info:
  title: Swagger Petstore - OpenAPI 3.0
  description: >-
    This is a sample Pet Store Server based on the OpenAPI 3.0 specification. 
    You can find out more about

    Swagger at [http://swagger.io](http://swagger.io). In the third iteration of
    the pet store, we've switched to the design first approach!

    You can now help us improve the API whether it's by making changes to the
    definition itself or to the code.

    That way, with time, we can improve the API in general, and expose some of
    the new features in OAS3.


    Some useful links:

    - [The Pet Store
    repository](https://github.com/swagger-api/swagger-petstore)

    - [The source API definition for the Pet
    Store](https://github.com/swagger-api/swagger-petstore/blob/master/src/main/resources/openapi.yaml)
  termsOfService: http://swagger.io/terms/
  contact:
    name: API Team
    email: apiteam@swagger.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.19
servers:
  - url: https://api.woox.io/
security: []
externalDocs:
  description: Find out more about Swagger
  url: http://swagger.io
paths:
  /v3/public/marketTradesHistory:
    get:
      description: >-
        Get historical market trades data. In the response, a source of 1 means
        these are internal trades on WOO X and a source of 0 means they are
        external trades from aggregated sources.
      parameters:
        - name: symbol
          in: query
          description: Symbol name
          required: true
          explode: true
          schema:
            type: string
        - name: before
          in: query
          description: >-
            The id cursor for fetching the previous page of results, excluding
            the trade associated with the cursor itself.  Either before or after
            can be specified.  If both are provided, before takes precedence. If
            neither is passed, the results default to starting from the most
            recent trades.
          required: false
          explode: true
          schema:
            type: integer
        - name: after
          in: query
          description: >-
            The id cursor for fetching the next page of results, excluding the
            trade associated with the cursor itself.  Either before or after can
            be specified.  If both are provided, before takes precedence. If
            neither is passed, the results default to starting from the most
            recent trades.
          required: false
          explode: true
          schema:
            type: integer
        - name: limit
          in: query
          description: Numbers of trades you want to query. Maximum of 1000 trades allowed.
          required: false
          explode: true
          schema:
            type: integer
            default: 100
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketTradesHistoryResponse'
      security: []
components:
  schemas:
    MarketTradesHistoryResponse:
      allOf:
        - $ref: '#/components/schemas/CommonResponse'
        - type: object
          properties:
            data:
              type: object
              properties:
                rows:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: number
                        description: ''
                      symbol:
                        type: string
                        description: ''
                      side:
                        type: string
                        description: ''
                      executedPrice:
                        type: string
                        description: ''
                      executedQuantity:
                        type: string
                        description: ''
                      executedTimestamp:
                        type: number
                        description: ''
                      source:
                        type: number
                        description: ''
                      rpi:
                        type: boolean
                        description: ''
    CommonResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 'true'
        timestamp:
          type: integer
          description: timestamp

````